1. Timesheets
Easyteam Retail
  • Home
  • Staff
    • Get all staff members
      GET
    • Get a single staff member
      GET
  • Scheduling
    • Get published shift schedules
      GET
  • Timesheets
    • Get timesheets summary
      GET
    • Get detailed timesheets an employee
      GET
  • Commissions
    • Get commissions summary
      GET
    • Get detailed commissions breakdown for a staff member
      GET
  • Sales Goals
    • Get sales goals data
      GET
  1. Timesheets

Get timesheets summary

GET
/api/rest/timesheets/shop/{shopId}
Retrieve timesheets summary for all employees with paid vs non-paid hours breakdown

Request

Authorization
Path Params

Query Params

Responses

🟢200
application/json
Successfully retrieved timesheets summary
Body

🟠400
🟠401
🟠403
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/rest/timesheets/shop/?from&to&personnelIds&locationIds&limit&offset'
Response Response Example
{
    "success": true,
    "data": {
        "count": 0,
        "limit": 0,
        "offset": 0,
        "previous": {},
        "next": {},
        "results": [
            {
                "id": 0,
                "personnelId": 0,
                "shopifyUserId": "string",
                "userName": "string",
                "email": "string",
                "position": "string",
                "avatarFile": "string",
                "locations": [
                    {
                        "id": 0,
                        "name": "string",
                        "shopifyLocationId": "string",
                        "timezone": "string"
                    }
                ],
                "salaryWage": {
                    "currencyCode": "string",
                    "currencyMark": "string",
                    "rate": 0,
                    "rateType": "string"
                },
                "totalHours": 0,
                "totalPaidHours": 0,
                "totalUnpaidHours": 0,
                "totalUnpaidBreaks": 0,
                "totalTimeOffHours": 0,
                "amount": "string",
                "totalApprovedShiftsCount": 0,
                "totalPendingApprovalShiftsCount": 0
            }
        ]
    }
}
Previous
Get published shift schedules
Next
Get detailed timesheets an employee